////////////////////////////////////////////////////////////////////////////////
//
//
//  FileName    :   SUISkin_TMS.pas
//  Creator     :   Shen Min
//  Date        :   2005-04-22
//  Comment     :   SUISkin for TMS support
//
//  Copyright (c) 2002-2005 Sunisoft
//  http://www.sunisoft.com
//  Email: support@sunisoft.com
//
////////////////////////////////////////////////////////////////////////////////
//
//  How to use:
//      Please add this unit to the "uses" clause of the unit where you
//  also inlcuded SUISkinEngine unit. And add this unit after SUISkinEngine.
//
//  E.g.
//
//  unit test;
//  interface
//  uses ..., SUISkinEngine, SUISkin_TMS;
//  ...
//  ...

unit SUISkin_TMS;

interface

uses Spin, AdvSpin,
     SUISkinEngine;

const
    SUISKIN_TMS_DEF   : array [0 .. 1] of TsuiSkinCtrlVCLDef = (
        (CtrlClass : TSpinButton;
         SkinCtrlClass : TsuiSkinControlVCL),
        (CtrlClass : TAdvSpinButton;
         SkinCtrlClass : TsuiSkinControlVCL)
    );


implementation

procedure RegisterToSUISkinEngine();
begin
    RegisterSkinControlClass(SUISKIN_TMS_DEF);

    RegisterDlgFormClass('TAdvGridHTMLSettingsForm');
    RegisterDlgFormClass('TAdvPreviewForm');
    RegisterDlgFormClass('TAsgFindDlg');
    RegisterDlgFormClass('TAdvGridPrintSettingsForm');
end;

initialization
    RegisterToSUISkinEngine();
    
end.
